{% load i18n %}

<div class="list-group-item{# {% if not object.effective %} bg-gray-700{% endif %} #}" id="preferences-item-{{ object.pk }}">
  <div class="row align-items-center">
    <div class="col-2 col-xl-1 d-flex align-items-center">
      {% if object.effective %}
        <div class="badge bg-primary d-inline-block me-2" title="{% translate 'This is the effective setting' %}"></div>
      {% else %}
        <div class="d-inline-block me-2"></div>
      {% endif %}
      <div class="d-inline-block text-center">
        <i class="avatar bi bi-{{ object.get_scope_icon }} fs-4" ></i>
        {% if not object.effective %}<s>{% endif %}
        <span class=" d-none d-md-block">{{ object.get_scope_display }}</span>
        {% if not object.effective %}</s>{% endif %}
      </div>
    </div>
    <div class="col-9 col-xl-10 text-truncate">
      {% if object.key_type == "text" %}
        <textarea
            class="form-control"
            name="{{ object.scope }}"
            id="id_scopedsetting_{{ object.id }}"
            cols="2"
            disabled>
        {{ object.value }}</textarea>

      {% elif object.key_type == "bool" %}
        <div class="btn-group">
          <input type="checkbox"
                 class="btn-check"
                 name="options"
                  id="id_scopedsetting_{{ object.id }}_on"
                 autocomplete="off"
                 {% if object.value == "True" %}checked{% endif %}
                 disabled
          >
          <label class="btn btn-outline-primary" for="check1">{% translate 'On' %}</label>

          <input type="checkbox"
                 class="btn-check"
                 name="options"
                 id="id_scopedsetting_{{ object.id }}_off"
                 autocomplete="off"
                  {% if object.value != "True" %}checked{% endif %}
                 disabled>
          <label class="btn btn-outline-primary" for="check2">{% translate 'Off' %}</label>
        </div>
{#        <div class="form-check form-switch">#}
{#          <input#}
{#              class="form-check-input"#}
{#              type="checkbox"#}
{#              id="id_scopedsetting_{{ object.id }}"#}
{#              {% if object.value == "True" %}checked{% endif %}#}
{#              disabled>#}
{#        </div>#}

      {% elif object.key_type == "int" %}
        <input
            class="form-control"
            type="number"
            id="id_scopedsetting_{{ object.id }}"
            disabled
            value="{{ object.value }}">

      {% elif object.key_type == "str" %}
        <input
            class="form-control"
            type="text"
            id="id_scopedsetting_{{ object.id }}"
            disabled
            value="{{ object.value }}">
      {% endif %}

    </div>
    <div class="col-1 text-end">
      {% with object.get_scope_display as object_scope %}
        {% if object.editable %}
          <a class="list-group-item-actions" title="{% translate 'Edit setting' %}"
             href="#"
             hx-get="{% url 'preferences:update' object.pk %}"
             hx-target="#preferences-item-{{ object.pk }}"
             hx-swap="outerHTML"
          >
            <i class="bi bi-pencil"></i>
          </a>
        {% endif %}

        {% if object.deletable %}
          <a  href="#"
              class="list-group-item-actions"
              title="{% translate 'Delete setting' %}"
              hx-post="{% url 'preferences:delete' object.pk %}"
              hx-target="#base-preference-detail-{{ object.base.pk }}"
              hx-select="#base-preference-detail-{{ object.base.pk }}"
              hx-confirm="{% blocktranslate %}Are you sure you want to delete the setting for '{{ object_scope }}'?{% endblocktranslate %}"
              hx-swap="outerHTML"
          >
            <i class="bi bi-trash"></i>
          </a>
        {% endif %}
      {% endwith %}
    </div>
  </div>
</div>

